#include<iostream>
#include<math.h>
using namespace std;
main()
{
	int n,x,r;
	scanf("%d%d",&n,&x);
	int a[n];
	for(int i=0;i<n;i++)
		scanf("%d",&a[i]);
	int d,d1;
	int min=a[0];
	int max=a[0];
	for(int i=1;i<n;i++)
	{
		if(a[i]>max)
			max=a[i];
		if(a[i]<min)
			min=a[i];
	}
	d=abs(x-min);
	d1=abs(x-max);
	if(d<=d1)
	{
		r=d+abs(max-min);
	}
	else
	{
		r=d1+abs(max-min);
	}
	printf("%d",r);
}